net.fortuna.ical4j.filter

## Class PeriodRule

- java.lang.Object
- - net.fortuna.ical4j.filter.ComponentRule
  - - net.fortuna.ical4j.filter.PeriodRule

All Implemented Interfaces:
  Rule

    public class PeriodRule
    extends ComponentRule

$Id$ Created on 2/02/2006 A rule that matches any component that occurs in the specified time period.

Author:
  Ben Fortuna

### Constructor Summary

Constructors
Constructor and Description
`PeriodRule(Period period)` Constructs a new instance using the specified period.

### Method Summary

Methods
`boolean` `match(Component component)`

### Methods inherited from class net.fortuna.ical4j.filter.ComponentRule

`match`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PeriodRule

    public PeriodRule(Period period)

Constructs a new instance using the specified period.

Parameters:
  `period` - a period instance to match on

### Method Detail

#### match

    public final boolean match(Component component)

Specified by:
  `match` in class `ComponentRule`
Parameters:
  `component` - a component to match on
Returns:
  true if the component matches the rule, otherwise false